Skip to main content
PATCH
/
v1
/
agents
/
{agentId}
/
telephony
/
phone-numbers
/
{phoneNumber}
Reassign a phone number to a different connector
curl --request PATCH \
  --url https://api.us.poly.ai/v1/agents/{agentId}/telephony/phone-numbers/{phoneNumber} \
  --header 'Content-Type: application/json' \
  --header 'x-api-key: <api-key>' \
  --data '
{
  "connectorId": "<string>"
}
'
{
  "number": "<string>",
  "projectId": "<string>",
  "accountId": "<string>",
  "clientEnv": "<string>",
  "connectorId": "<string>"
}

Authorizations

x-api-key
string
header
required

Path Parameters

agentId
string
required
phoneNumber
string
required

Body

application/json

Target connector for reassigning a phone number.

connectorId
string
required

Target connector ID to reassign the phone number to

Response

Successful response

A phone number owned by the project, plus the connector it routes incoming calls to.

number
string
required

Phone number in E.164 format

projectId
string
required

Project this number belongs to

accountId
string
required

Account this number belongs to

clientEnv
string
required

Client environment (sandbox, pre-release, live)

connectorId
string

Connector this number is routed to

Last modified on April 22, 2026